Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.recovery
Interface XARecoveryResource

public interface XARecoveryResource

Field Summary
`static int` | `FAILED_TO_RECOVER`
`static int` | `INCOMPLETE_STATE` Responses to whether or not the instance is recoverable.
`static int` | `INFLIGHT_TRANSACTION`
`static int` | `RECOVERED_OK` Results of performing recovery.
`static int` | `RECOVERY_REQUIRED`
`static int` | `TRANSACTION_NOT_PREPARED`
`static int` | `WAITING_FOR_RECOVERY`

Method Summary
`Uid` | `get_uid()`
`javax.transaction.xa.Xid` | `getXid()`
`int` | `recover()` Attempt the recovery.
`int` | `recoverable()` If we don't have an XAResource then we cannot recover at this stage.
`java.lang.String` | `type()`

Field Detail

### RECOVERED_OK

    public static final int RECOVERED_OK

  Results of performing recovery.

  See Also:
    Constant Field Values

### FAILED_TO_RECOVER

    public static final int FAILED_TO_RECOVER

See Also:
  Constant Field Values

### WAITING_FOR_RECOVERY

    public static final int WAITING_FOR_RECOVERY

See Also:
  Constant Field Values

### TRANSACTION_NOT_PREPARED

    public static final int TRANSACTION_NOT_PREPARED

See Also:
  Constant Field Values

### INCOMPLETE_STATE

    public static final int INCOMPLETE_STATE

  Responses to whether or not the instance is recoverable.

  See Also:
    Constant Field Values

### INFLIGHT_TRANSACTION

    public static final int INFLIGHT_TRANSACTION

See Also:
  Constant Field Values

### RECOVERY_REQUIRED

    public static final int RECOVERY_REQUIRED

See Also:
  Constant Field Values

Method Detail

### recoverable

    public int recoverable()

  If we don't have an XAResource then we cannot recover at this stage. The XAResource will have to be provided for us and then we can retry. Because recovery happens periodically, it is possible that it takes a snapshot of a transaction that is still running and will vanish from the log anyway. If that happens, then we don't need to (and can't) run recovery on it.

### recover

    public int recover()

  Attempt the recovery. Return one of the status values above.

### getXid

    public javax.transaction.xa.Xid getXid()

  Returns:
    the Xid that was used to manipulate this state.

### get_uid

    public Uid get_uid()

  Returns:
    the Uid for this instance.

### type

    public java.lang.String type()

  Returns:
    the type for this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD